Package net.shibboleth.idp.saml.xmlobject.impl

# Class KeyAuthorityBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<KeyAuthority>
net.shibboleth.idp.saml.xmlobject.impl.KeyAuthorityBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<KeyAuthority>`

@ThreadSafe public class KeyAuthorityBuilder extends AbstractXMLObjectBuilder<KeyAuthority>
Builder of `KeyAuthority` objects.

## Constructor Summary

Constructors
Constructor
Description
`KeyAuthorityBuilder()`

## Method Summary

Modifier and Type
Method
Description
`KeyAuthority`
`buildObject()`
Build a KeyAuthority element with the default namespace prefix and element name.
`KeyAuthority`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyAuthorityBuilder

public KeyAuthorityBuilder()

## Method Details

### buildObject

@Nonnull public KeyAuthority buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)

Specified by:
  `buildObject` in interface `XMLObjectBuilder<KeyAuthority>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<KeyAuthority>`

### buildObject

@Nonnull public KeyAuthority buildObject()
Build a KeyAuthority element with the default namespace prefix and element name.

Returns:
  a new instance of `KeyAuthority`